diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/examples/csma-bridge-one-hop.cc ns-3.44/src/bridge/examples/csma-bridge-one-hop.cc
--- ns-3.43/src/bridge/examples/csma-bridge-one-hop.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/examples/csma-bridge-one-hop.cc	2025-03-09 16:55:49.347370900 -0700
@@ -65,8 +65,8 @@
 #include <iostream>
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * Bridge example connecting two broadcast domains.
  */
 
@@ -180,15 +180,15 @@
 
     ApplicationContainer app = onoff.Install(n0);
     // Start the application
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     ApplicationContainer sink1 = sink.Install(n1);
-    sink1.Start(Seconds(1.0));
-    sink1.Stop(Seconds(10.0));
+    sink1.Start(Seconds(1));
+    sink1.Stop(Seconds(10));
 
     //
     // Create a similar flow from n3 to n0, starting at time 1.1 seconds
@@ -196,11 +196,11 @@
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(Ipv4Address("10.1.1.2"), port)));
     ApplicationContainer app2 = onoff.Install(n3);
     app2.Start(Seconds(1.1));
-    app2.Stop(Seconds(10.0));
+    app2.Stop(Seconds(10));
 
     ApplicationContainer sink2 = sink.Install(n0);
     sink2.Start(Seconds(1.1));
-    sink2.Stop(Seconds(10.0));
+    sink2.Stop(Seconds(10));
 
     NS_LOG_INFO("Configure Tracing.");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/examples/csma-bridge.py ns-3.44/src/bridge/examples/csma-bridge.py
--- ns-3.43/src/bridge/examples/csma-bridge.py	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/examples/csma-bridge.py	2025-03-09 16:55:49.347370900 -0700
@@ -96,14 +96,14 @@
 
     app = onoff.Install(ns.NodeContainer(terminals.Get(0)))
     # Start the application
-    app.Start(ns.Seconds(1.0))
-    app.Stop(ns.Seconds(10.0))
+    app.Start(ns.Seconds(1))
+    app.Stop(ns.Seconds(10))
 
     # Create an optional packet sink to receive these packets
     inet_address = ns.InetSocketAddress(ns.Ipv4Address.GetAny(), port)
     sink = ns.PacketSinkHelper("ns3::UdpSocketFactory", inet_address.ConvertTo())
     app = sink.Install(ns.NodeContainer(terminals.Get(1)))
-    app.Start(ns.Seconds(0.0))
+    app.Start(ns.Seconds(0))
 
     #
     # Create a similar flow from n3 to n0, starting at time 1.1 seconds
@@ -112,10 +112,10 @@
     onoff.SetAttribute("Remote", ns.AddressValue(inet_address.ConvertTo()))
     app = onoff.Install(ns.NodeContainer(terminals.Get(3)))
     app.Start(ns.Seconds(1.1))
-    app.Stop(ns.Seconds(10.0))
+    app.Stop(ns.Seconds(10))
 
     app = sink.Install(ns.NodeContainer(terminals.Get(0)))
-    app.Start(ns.Seconds(0.0))
+    app.Start(ns.Seconds(0))
 
     #
     # Configure tracing of all enqueue, dequeue, and NetDevice receive events.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/helper/bridge-helper.cc ns-3.44/src/bridge/helper/bridge-helper.cc
--- ns-3.43/src/bridge/helper/bridge-helper.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/helper/bridge-helper.cc	2025-03-09 16:55:49.347370900 -0700
@@ -12,8 +12,8 @@
 #include "ns3/node.h"
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * ns3::BridgeHelper implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/helper/bridge-helper.h ns-3.44/src/bridge/helper/bridge-helper.h
--- ns-3.43/src/bridge/helper/bridge-helper.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/helper/bridge-helper.h	2025-03-09 16:55:49.347370900 -0700
@@ -15,8 +15,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * ns3::BridgeHelper declaration.
  */
 
@@ -27,8 +27,8 @@
 class AttributeValue;
 
 /**
- * \ingroup bridge
- * \brief Add capability to bridge multiple LAN segments (IEEE 802.1D bridging)
+ * @ingroup bridge
+ * @brief Add capability to bridge multiple LAN segments (IEEE 802.1D bridging)
  */
 class BridgeHelper
 {
@@ -41,8 +41,8 @@
      * Set an attribute on each ns3::BridgeNetDevice created by
      * BridgeHelper::Install
      *
-     * \param n1 the name of the attribute to set
-     * \param v1 the value of the attribute to set
+     * @param n1 the name of the attribute to set
+     * @param v1 the value of the attribute to set
      */
     void SetDeviceAttribute(std::string n1, const AttributeValue& v1);
     /**
@@ -51,9 +51,9 @@
      * to the node, and attaches the given NetDevices as ports of the
      * bridge.
      *
-     * \param node The node to install the device in
-     * \param c Container of NetDevices to add as bridge ports
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @param c Container of NetDevices to add as bridge ports
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(Ptr<Node> node, NetDeviceContainer c);
     /**
@@ -62,9 +62,9 @@
      * to the node, and attaches the given NetDevices as ports of the
      * bridge.
      *
-     * \param nodeName The name of the node to install the device in
-     * \param c Container of NetDevices to add as bridge ports
-     * \returns A container holding the added net device.
+     * @param nodeName The name of the node to install the device in
+     * @param c Container of NetDevices to add as bridge ports
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(std::string nodeName, NetDeviceContainer c);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/model/bridge-channel.cc ns-3.44/src/bridge/model/bridge-channel.cc
--- ns-3.43/src/bridge/model/bridge-channel.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/model/bridge-channel.cc	2025-03-09 16:55:49.347370900 -0700
@@ -9,8 +9,8 @@
 #include "ns3/log.h"
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * ns3::BridgeChannel implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/model/bridge-channel.h ns-3.44/src/bridge/model/bridge-channel.h
--- ns-3.43/src/bridge/model/bridge-channel.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/model/bridge-channel.h	2025-03-09 16:55:49.347370900 -0700
@@ -12,8 +12,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * ns3::BridgeChannel declaration.
  */
 
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup bridge
+ * @ingroup bridge
  *
- * \brief Virtual channel implementation for bridges (BridgeNetDevice).
+ * @brief Virtual channel implementation for bridges (BridgeNetDevice).
  *
  * Just like BridgeNetDevice aggregates multiple NetDevices,
  * BridgeChannel aggregates multiple channels and make them appear as
@@ -33,8 +33,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     BridgeChannel();
@@ -46,7 +46,7 @@
 
     /**
      * Adds a channel to the bridged pool
-     * \param bridgedChannel  the channel to add to the pool
+     * @param bridgedChannel  the channel to add to the pool
      */
     void AddChannel(Ptr<Channel> bridgedChannel);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/model/bridge-net-device.cc ns-3.44/src/bridge/model/bridge-net-device.cc
--- ns-3.43/src/bridge/model/bridge-net-device.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/model/bridge-net-device.cc	2025-03-09 16:55:49.347370900 -0700
@@ -14,8 +14,8 @@
 #include "ns3/uinteger.h"
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * ns3::BridgeNetDevice implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/bridge/model/bridge-net-device.h ns-3.44/src/bridge/model/bridge-net-device.h
--- ns-3.43/src/bridge/model/bridge-net-device.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/bridge/model/bridge-net-device.h	2025-03-09 16:55:49.347370900 -0700
@@ -17,8 +17,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup bridge
+ * @file
+ * @ingroup bridge
  * ns3::BridgeNetDevice declaration.
  */
 
@@ -28,9 +28,9 @@
 class Node;
 
 /**
- * \defgroup bridge Bridge Network Device
+ * @defgroup bridge Bridge Network Device
  *
- * \brief a virtual net device that bridges multiple LAN segments
+ * @brief a virtual net device that bridges multiple LAN segments
  *
  * The BridgeNetDevice object is a "virtual" netdevice that aggregates
  * multiple "real" netdevices and implements the data plane forwarding
@@ -42,29 +42,29 @@
  * may occasionally be forwarded throughout all other ports, but
  * usually they are forwarded only to a single correct output port.
  *
- * \attention The Spanning Tree Protocol part of 802.1D is not
+ * @attention The Spanning Tree Protocol part of 802.1D is not
  * implemented.  Therefore, you have to be careful not to create
  * bridging loops, or else the network will collapse.
  *
- * \attention Bridging is designed to work only with NetDevices
+ * @attention Bridging is designed to work only with NetDevices
  * modelling IEEE 802-style technologies, such as CsmaNetDevice and
  * WifiNetDevice.
  *
- * \attention If including a WifiNetDevice in a bridge, the wifi
+ * @attention If including a WifiNetDevice in a bridge, the wifi
  * device must be in Access Point mode.  Adhoc mode is not supported
  * with bridging.
  */
 
 /**
- * \ingroup bridge
- * \brief a virtual net device that bridges multiple LAN segments
+ * @ingroup bridge
+ * @brief a virtual net device that bridges multiple LAN segments
  */
 class BridgeNetDevice : public NetDevice
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     BridgeNetDevice();
@@ -75,14 +75,14 @@
     BridgeNetDevice& operator=(const BridgeNetDevice&) = delete;
 
     /**
-     * \brief Add a 'port' to a bridge device
-     * \param bridgePort the NetDevice to add
+     * @brief Add a 'port' to a bridge device
+     * @param bridgePort the NetDevice to add
      *
      * This method adds a new bridge port to a BridgeNetDevice, so that
      * the new bridge port NetDevice becomes part of the bridge and L2
      * frames start being forwarded to/from this NetDevice.
      *
-     * \attention The netdevice that is being added as bridge port must
+     * @attention The netdevice that is being added as bridge port must
      * _not_ have an IP address.  In order to add IP connectivity to a
      * bridging node you must enable IP on the BridgeNetDevice itself,
      * never on its port netdevices.
@@ -90,16 +90,16 @@
     void AddBridgePort(Ptr<NetDevice> bridgePort);
 
     /**
-     * \brief Gets the number of bridged 'ports', i.e., the NetDevices currently bridged.
+     * @brief Gets the number of bridged 'ports', i.e., the NetDevices currently bridged.
      *
-     * \return the number of bridged ports.
+     * @return the number of bridged ports.
      */
     uint32_t GetNBridgePorts() const;
 
     /**
-     * \brief Gets the n-th bridged port.
-     * \param n the port index
-     * \return the n-th bridged NetDevice
+     * @brief Gets the n-th bridged port.
+     * @param n the port index
+     * @return the n-th bridged NetDevice
      */
     Ptr<NetDevice> GetBridgePort(uint32_t n) const;
 
@@ -136,13 +136,13 @@
     void DoDispose() override;
 
     /**
-     * \brief Receives a packet from one bridged port.
-     * \param device the originating port
-     * \param packet the received packet
-     * \param protocol the packet protocol (e.g., Ethertype)
-     * \param source the packet source
-     * \param destination the packet destination
-     * \param packetType the packet type (e.g., host, broadcast, etc.)
+     * @brief Receives a packet from one bridged port.
+     * @param device the originating port
+     * @param packet the received packet
+     * @param protocol the packet protocol (e.g., Ethertype)
+     * @param source the packet source
+     * @param destination the packet destination
+     * @param packetType the packet type (e.g., host, broadcast, etc.)
      */
     void ReceiveFromDevice(Ptr<NetDevice> device,
                            Ptr<const Packet> packet,
@@ -152,12 +152,12 @@
                            PacketType packetType);
 
     /**
-     * \brief Forwards a unicast packet
-     * \param incomingPort the packet incoming port
-     * \param packet the packet
-     * \param protocol the packet protocol (e.g., Ethertype)
-     * \param src the packet source
-     * \param dst the packet destination
+     * @brief Forwards a unicast packet
+     * @param incomingPort the packet incoming port
+     * @param packet the packet
+     * @param protocol the packet protocol (e.g., Ethertype)
+     * @param src the packet source
+     * @param dst the packet destination
      */
     void ForwardUnicast(Ptr<NetDevice> incomingPort,
                         Ptr<const Packet> packet,
@@ -166,12 +166,12 @@
                         Mac48Address dst);
 
     /**
-     * \brief Forwards a broadcast or a multicast packet
-     * \param incomingPort the packet incoming port
-     * \param packet the packet
-     * \param protocol the packet protocol (e.g., Ethertype)
-     * \param src the packet source
-     * \param dst the packet destination
+     * @brief Forwards a broadcast or a multicast packet
+     * @param incomingPort the packet incoming port
+     * @param packet the packet
+     * @param protocol the packet protocol (e.g., Ethertype)
+     * @param src the packet source
+     * @param dst the packet destination
      */
     void ForwardBroadcast(Ptr<NetDevice> incomingPort,
                           Ptr<const Packet> packet,
@@ -180,16 +180,16 @@
                           Mac48Address dst);
 
     /**
-     * \brief Learns the port a MAC address is sending from
-     * \param source source address
-     * \param port the port the source is sending from
+     * @brief Learns the port a MAC address is sending from
+     * @param source source address
+     * @param port the port the source is sending from
      */
     void Learn(Mac48Address source, Ptr<NetDevice> port);
 
     /**
-     * \brief Gets the port associated to a source address
-     * \param source the source address
-     * \returns the port the source is associated to, or NULL if no association is known.
+     * @brief Gets the port associated to a source address
+     * @param source the source address
+     * @returns the port the source is associated to, or NULL if no association is known.
      */
     Ptr<NetDevice> GetLearnedState(Mac48Address source);
 
@@ -201,7 +201,7 @@
     Time m_expirationTime;  //!< time it takes for learned MAC state to expire
 
     /**
-     * \ingroup bridge
+     * @ingroup bridge
      * Structure holding the status of an address
      */
     struct LearnedState
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/brite/examples/brite-generic-example.cc ns-3.44/src/brite/examples/brite-generic-example.cc
--- ns-3.43/src/brite/examples/brite-generic-example.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/brite/examples/brite-generic-example.cc	2025-03-09 16:55:49.347370900 -0700
@@ -114,8 +114,8 @@
 
     UdpEchoServerHelper echoServer(9);
     ApplicationContainer serverApps = echoServer.Install(server.Get(0));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(5.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(5));
 
     UdpEchoClientHelper echoClient(serverInterfaces.GetAddress(0), 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(1));
@@ -123,8 +123,8 @@
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(client.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(5.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(5));
 
     if (!nix)
     {
@@ -137,7 +137,7 @@
         p2p.EnableAsciiAll(ascii.CreateFileStream("briteLeaves.tr"));
     }
     // Run the simulator
-    Simulator::Stop(Seconds(6.0));
+    Simulator::Stop(Seconds(6));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/brite/examples/brite-generic-example.py ns-3.44/src/brite/examples/brite-generic-example.py
--- ns-3.43/src/brite/examples/brite-generic-example.py	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/brite/examples/brite-generic-example.py	2025-03-09 16:55:49.347370900 -0700
@@ -79,22 +79,22 @@
 
 echoServer = ns.UdpEchoServerHelper(9)
 serverApps = echoServer.Install(server.Get(0))
-serverApps.Start(ns.Seconds(1.0))
-serverApps.Stop(ns.Seconds(5.0))
+serverApps.Start(ns.Seconds(1))
+serverApps.Stop(ns.Seconds(5))
 
 echoClient = ns.UdpEchoClientHelper(serverInterfaces.GetAddress(0).ConvertTo(), 9)
 echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1)))
 echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(client.Get(0))
-clientApps.Start(ns.Seconds(2.0))
-clientApps.Stop(ns.Seconds(5.0))
+clientApps.Start(ns.Seconds(2))
+clientApps.Stop(ns.Seconds(5))
 
 asciiTrace = ns.AsciiTraceHelper()
 p2p.EnableAsciiAll(asciiTrace.CreateFileStream("briteLeaves.tr"))
 
 # Run the simulator
-ns.Simulator.Stop(ns.Seconds(6.0))
+ns.Simulator.Stop(ns.Seconds(6))
 ns.Simulator.Run()
 ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/brite/examples/brite-MPI-example.cc ns-3.44/src/brite/examples/brite-MPI-example.cc
--- ns-3.43/src/brite/examples/brite-MPI-example.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/brite/examples/brite-MPI-example.cc	2025-03-09 16:55:49.347370900 -0700
@@ -143,8 +143,8 @@
         Address sinkLocalAddress(InetSocketAddress(Ipv4Address::GetAny(), port));
         PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", sinkLocalAddress);
         sinkApps.Add(packetSinkHelper.Install(server.Get(0)));
-        sinkApps.Start(Seconds(0.0));
-        sinkApps.Stop(Seconds(10.0));
+        sinkApps.Start(Seconds(0));
+        sinkApps.Stop(Seconds(10));
     }
 
     if (systemId == 0)
@@ -158,8 +158,8 @@
         AddressValue remoteAddress(InetSocketAddress(serverInterfaces.GetAddress(0), port));
         clientHelper.SetAttribute("Remote", remoteAddress);
         clientApps.Add(clientHelper.Install(client.Get(0)));
-        clientApps.Start(Seconds(1.0)); // Start 1 second after sink
-        clientApps.Stop(Seconds(9.0));  // Stop before the sink
+        clientApps.Start(Seconds(1)); // Start 1 second after sink
+        clientApps.Stop(Seconds(9));  // Stop before the sink
     }
 
     if (!nix)
@@ -174,7 +174,7 @@
     }
 
     // Run the simulator
-    Simulator::Stop(Seconds(200.0));
+    Simulator::Stop(Seconds(200));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/brite/examples/CMakeLists.txt ns-3.44/src/brite/examples/CMakeLists.txt
--- ns-3.43/src/brite/examples/CMakeLists.txt	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/brite/examples/CMakeLists.txt	2025-03-09 16:55:49.347370900 -0700
@@ -20,6 +20,6 @@
       ${libnix-vector-routing}
       ${libapplications}
       ${libmpi}
-      ${MPI_CXX_LIBRARIES}
+      MPI::MPI_CXX
   )
 endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/brite/helper/brite-topology-helper.h ns-3.44/src/brite/helper/brite-topology-helper.h
--- ns-3.43/src/brite/helper/brite-topology-helper.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/brite/helper/brite-topology-helper.h	2025-03-09 16:55:49.347370900 -0700
@@ -31,20 +31,20 @@
 class Ipv4AddressHelper;
 
 /**
- * \defgroup brite BRITE Topology Generator
+ * @defgroup brite BRITE Topology Generator
  *
  * Create topologies with BRITE.
  */
 
 /**
- * \ingroup brite
- * \ingroup tests
- * \defgroup brite-tests BRITE module tests
+ * @ingroup brite
+ * @ingroup tests
+ * @defgroup brite-tests BRITE module tests
  */
 
 /**
- * \ingroup brite
- * \brief Interface with BRITE, the Boston university Representative Internet
+ * @ingroup brite
+ * @brief Interface with BRITE, the Boston university Representative Internet
  *        Topology gEnerator
  *
  * This helper class creates an interface with BRITE and allows the user to
@@ -62,16 +62,16 @@
     /**
      * Construct a BriteTopologyHelper
      *
-     * \param confFile a BRITE configuration file
-     * \param seedFile a BRITE seed file
-     * \param newseedFile a BRITE seed file with newly generated values
+     * @param confFile a BRITE configuration file
+     * @param seedFile a BRITE seed file
+     * @param newseedFile a BRITE seed file with newly generated values
      */
     BriteTopologyHelper(std::string confFile, std::string seedFile, std::string newseedFile);
 
     /**
      * Construct a BriteTopologyHelper using NS3 to generate seed values
      * need by BRITE
-     * \param confFile a BRITE configuration file
+     * @param confFile a BRITE configuration file
      */
     BriteTopologyHelper(std::string confFile);
 
@@ -81,14 +81,14 @@
      * Assigns stream number to UniformRandomVariable used to
      * generate brite seed file
      *
-     * \param streamNumber the stream number to assign
+     * @param streamNumber the stream number to assign
      */
     void AssignStreams(int64_t streamNumber);
 
     /**
      * Create NS3 topology using information generated from BRITE.
      *
-     * \param stack Internet stack to assign to nodes in topology
+     * @param stack Internet stack to assign to nodes in topology
      */
     void BuildBriteTopology(InternetStackHelper& stack);
 
@@ -96,49 +96,49 @@
      * Create NS3 topology using information generated from BRITE and configure topology for MPI
      * use.
      *
-     * \param stack Internet stack to assign to nodes in topology.
-     * \param systemCount The number of MPI instances to be used in the simulation.
+     * @param stack Internet stack to assign to nodes in topology.
+     * @param systemCount The number of MPI instances to be used in the simulation.
      */
     void BuildBriteTopology(InternetStackHelper& stack, const uint32_t systemCount);
 
     /**
      * Returns the number of router leaf nodes for a given AS
      *
-     * \param asNum the AS number
-     * \returns the number of leaf nodes in the specified AS
+     * @param asNum the AS number
+     * @returns the number of leaf nodes in the specified AS
      */
     uint32_t GetNLeafNodesForAs(uint32_t asNum);
 
     /**
      * Returns a given router leaf node from a given AS
      *
-     * \param asNum the AS number
-     * \param leafNum the leaf number
-     * \returns the specified node
+     * @param asNum the AS number
+     * @param leafNum the leaf number
+     * @returns the specified node
      */
     Ptr<Node> GetLeafNodeForAs(uint32_t asNum, uint32_t leafNum);
 
     /**
      * Returns the total number of nodes for a given AS
      *
-     * \param asNum the AS number
-     * \returns the total number of nodes in the given AS
+     * @param asNum the AS number
+     * @returns the total number of nodes in the given AS
      */
     uint32_t GetNNodesForAs(uint32_t asNum);
 
     /**
      * Returns a given router node for a given AS
      *
-     * \param asNum the AS number
-     * \param nodeNum the Node number
-     * \return the specified node
+     * @param asNum the AS number
+     * @param nodeNum the Node number
+     * @return the specified node
      */
     Ptr<Node> GetNodeForAs(uint32_t asNum, uint32_t nodeNum);
 
     /**
      * Returns the number of AS created in the topology
      *
-     * \returns the number of AS created in the topology
+     * @returns the number of AS created in the topology
      */
     uint32_t GetNAs() const;
 
@@ -146,16 +146,16 @@
      * Returns the system number for the MPI instance that this AS is assigned to.  Will always
      * return 0 if MPI not used
      *
-     * \returns The system number that the specified AS number belongs to
+     * @returns The system number that the specified AS number belongs to
      *
-     * \param asNum The AS Number
+     * @param asNum The AS Number
      */
     uint32_t GetSystemNumberForAs(uint32_t asNum) const;
 
     /**
      * Assign IPv4 addresses.
      *
-     * \param address an Ipv4AddressHelper which is used to install
+     * @param address an Ipv4AddressHelper which is used to install
      *                IPv4 addresses on all the node interfaces in
      *                the topology
      */
@@ -164,7 +164,7 @@
     /**
      * Assign IPv6 addresses.
      *
-     * \param address an Ipv6AddressHelper which is used to install
+     * @param address an Ipv6AddressHelper which is used to install
      *                IPv6 addresses on all the node interfaces in
      *                the topology
      */
@@ -174,7 +174,7 @@
      * Returns the number of nodes created within
      * the topology
      *
-     * \returns the total number of nodes within the brite topology
+     * @returns the total number of nodes within the brite topology
      */
     uint32_t GetNNodesTopology() const;
 
@@ -182,7 +182,7 @@
      * Returns the number of edges created within
      * the topology
      *
-     * \returns the total number of edges within the brite topology
+     * @returns the total number of edges within the brite topology
      */
     uint32_t GetNEdgesTopology() const;
 
@@ -194,7 +194,7 @@
     static const int mbpsToBps = 1000000;
 
     /**
-     * \brief Node information from BRITE
+     * @brief Node information from BRITE
      *
      * The BRITE code generates a graph and returns
      * information on the nodes generated. This is
@@ -212,7 +212,7 @@
     };
 
     /**
-     * \brief Edge information from BRITE
+     * @brief Edge information from BRITE
      *
      * The BRITE code generates a graph and returns
      * information on the edges generated. This is
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/brite/test/brite-test-topology.cc ns-3.44/src/brite/test/brite-test-topology.cc
--- ns-3.43/src/brite/test/brite-test-topology.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/brite/test/brite-test-topology.cc	2025-03-09 16:55:49.347370900 -0700
@@ -21,9 +21,9 @@
 using namespace ns3;
 
 /**
- * \ingroup brite-tests
+ * @ingroup brite-tests
  *
- * \brief BRITE topology structure Test
+ * @brief BRITE topology structure Test
  *
  * Test that two brite topologies created with same seed value
  * produce same graph (not an exact test)
@@ -90,9 +90,9 @@
 }
 
 /**
- * \ingroup brite-tests
+ * @ingroup brite-tests
  *
- * \brief BRITE topology function Test
+ * @brief BRITE topology function Test
  *
  * Test that packets can be send across a BRITE topology using UDP
  */
@@ -174,19 +174,19 @@
 
     ApplicationContainer apps = onOff.Install(source.Get(0));
 
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     PacketSinkHelper sinkHelper("ns3::UdpSocketFactory",
                                 Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sinkHelper.Install(sink.Get(0));
 
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
     Simulator::Run();
 
     Ptr<PacketSink> sink1 = DynamicCast<PacketSink>(apps.Get(0));
@@ -196,9 +196,9 @@
 }
 
 /**
- * \ingroup brite-tests
+ * @ingroup brite-tests
  *
- * \brief BRITE TestSuite
+ * @brief BRITE TestSuite
  */
 class BriteTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/doc/Makefile ns-3.44/src/buildings/doc/Makefile
--- ns-3.43/src/buildings/doc/Makefile	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/doc/Makefile	2025-03-09 16:55:49.347370900 -0700
@@ -1,6 +1,6 @@
 EPSTOPDF = epstopdf
 DIA = dia
-CONVERT = convert
+CONVERT = convert -density 300
 
 SOURCE = source
 FIGURES = $(SOURCE)/figures
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/examples/buildings-pathloss-profiler.cc ns-3.44/src/buildings/examples/buildings-pathloss-profiler.cc
--- ns-3.43/src/buildings/examples/buildings-pathloss-profiler.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/examples/buildings-pathloss-profiler.cc	2025-03-09 16:55:49.351371000 -0700
@@ -6,13 +6,13 @@
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
 
+#include "ns3/buildings-helper.h"
 #include "ns3/config-store.h"
+#include "ns3/constant-position-mobility-model.h"
 #include "ns3/core-module.h"
+#include "ns3/hybrid-buildings-propagation-loss-model.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
-#include <ns3/buildings-helper.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/hybrid-buildings-propagation-loss-model.h>
 
 #include <iomanip>
 #include <string>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/examples/outdoor-group-mobility-example.cc ns-3.44/src/buildings/examples/outdoor-group-mobility-example.cc
--- ns-3.43/src/buildings/examples/outdoor-group-mobility-example.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/examples/outdoor-group-mobility-example.cc	2025-03-09 16:55:49.351371000 -0700
@@ -50,8 +50,8 @@
 
 #include "ns3/buildings-module.h"
 #include "ns3/core-module.h"
+#include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
-#include <ns3/mobility-module.h>
 
 #include <iostream>
 
@@ -65,7 +65,7 @@
 /**
  * Print the node position to the time series file.
  *
- * \param node The node.
+ * @param node The node.
  */
 void
 PrintPosition(Ptr<Node> node)
@@ -87,7 +87,7 @@
 /**
  * Print the buildings list in a format that can be used by Gnuplot to draw them.
  *
- * \param filename The output filename.
+ * @param filename The output filename.
  */
 void
 PrintGnuplottableBuildingListToFile(std::string filename)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/examples/outdoor-random-walk-example.cc ns-3.44/src/buildings/examples/outdoor-random-walk-example.cc
--- ns-3.43/src/buildings/examples/outdoor-random-walk-example.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/examples/outdoor-random-walk-example.cc	2025-03-09 16:55:49.351371000 -0700
@@ -20,7 +20,7 @@
 /**
  * Print the buildings list in a format that can be used by Gnuplot to draw them.
  *
- * \param filename The output filename.
+ * @param filename The output filename.
  */
 void
 PrintGnuplottableBuildingListToFile(std::string filename)
